﻿namespace FactPDA.Models
{
    /// <summary>
    /// 순회검사등록
    /// </summary>
    public class MB030110 : BaseModel
    {
        // 추가영역
        public string CHEK_COD_ALL { get; set; } // 작업자

        // 기본영역
        public string PDIR_NO { get; set; } // 지시번호
        public int PDIR_SQ { get; set; } // 지시순번
        public int CHEK_SQ { get; set; } // 확인순번
        public int CHEK_AQ { get; set; } // 확인항번
        public string CHEK_COD { get; set; } // 확인항목코드
        public string CHEK_COD_NM { get; set; } // 확인항목코드명
        public string CHEK_DT { get; set; } // 확인일시
        public string CHEK_EMP_NO { get; set; } // 확인자
        public string CHEK_EMP_NM { get; set; } // 확인자명
        public string CHEK_CLS { get; set; } // 확인구분
        public string CHEK_CLS_NM { get; set; } // 확인구분명
        public string REMK { get; set; } // 비고

        public bool rdoCHEK_CLS_1 { get; set; } = false;
        public bool rdoCHEK_CLS_2 { get; set; } = false;
        public bool rdoCHEK_CLS_3 { get; set; } = false;
        public bool rdoCHEK_CLS_4 { get; set; } = false;
    }
}

