﻿namespace FactPDA.Models
{
    /// <summary>
    /// 작업지시서조회
    /// </summary>
    public class MB040100 : BaseModel
    {
        // 추가사항
        public string PDIR_NO_SQ { get; set; } // 지시번호+SQ (화면에 표시하기위한 용도)
        public string PDIR_STDT { get; set; } // 시작지시일자
        public string PDIR_ENDT { get; set; } // 종료지시일자
        public string MSECT_CD { get; set; } // 광명서진구분 10:광명 20:서진
        public string CORP_CLS { get; set; } // 회사구분
        public string CORP_CLS_NM { get; set; } // 회사구분명


        // 기본영역

        public string PDIR_NO { get; set; } // 지시번호
        public int PDIR_SQ { get; set; } // 지시번호순번
        public string PDIR_DT { get; set; } // 지시일자
        public string PDIR_TM_CLS { get; set; } // 지시시간
        public string PDIR_TM_CLS_NM { get; set; } // 지시시간명
        public string PDIR_ORG_NO { get; set; } // 지시부서코드
        public string PDIR_ORG_NM { get; set; } // 지시부서코드명
        public string PDIR_EMP_NO { get; set; } // 지시담당자
        public string PDIR_EMP_NM { get; set; } // 지시담당자명
        public string PD_STDT { get; set; } // 생산시작일자
        public string PD_ENDT { get; set; } // 생산종료일자
        public string PDIR_CLS { get; set; } // 지시구분
        public string PDIR_CLS_NM { get; set; } // 지시구분명
        public string LINE_CLS { get; set; } // 지시라인
        public string LINE_CLS_NM { get; set; } // 지시라인명
        public string ITEM_CD { get; set; } // 제품코드
        public string ITEM_NM { get; set; } // 제품코드명
        public string ITEM_SIZE { get; set; } // 규격
        public string SUB_SIZE { get; set; } // 하위규격
        public string TEAM_CLS { get; set; } // 관리팀
        public string TEAM_CLS_NM { get; set; } // 관리팀명
        public string ITEMM_CLS { get; set; } // 제품구분
        public string ITEMM_CLS_NM { get; set; } // 제품구분명
        public string ROUTE_CD { get; set; } // 라우팅코드
        public string ROUTE_NM { get; set; } // 라우팅코드명
        public decimal PDIR_QTY { get; set; } // 지시수량
        public string SOUR_CLS { get; set; } // 근거구분
        public string SOUR_CLS_NM { get; set; } // 근거구분명
        public string CPLAN_NO { get; set; } // 출하계획번호 (조인금지) 
        public string PLAN_NO { get; set; } // 생산계획번호 (조인금지) 
        public string REMK { get; set; } // 비고
        public string COM_YN { get; set; } // 완료여부
        public string DEL_YN { get; set; } // 삭제여부
        public string PROC_CD { get; set; } // 지시공정(B)
        public string PROC_NM { get; set; } // 지시공정명
        public string PRE_PROC_CD { get; set; } // 이전공정(B)
        public string PRE_PROC_NM { get; set; } // 이전공정명
        public string NXT_PROC_CD { get; set; } // 다음공정(B)
        public string NXT_PROC_NM { get; set; } // 다음공정명
        public string WORK_CLS { get; set; } // 자작외주구분(B)
        public string WORK_CLS_NM { get; set; } // 자작외주구분명
        public string PORD_VEND_NO { get; set; } // 외주거래처코드(B)
        public string PORD_VEND_NM { get; set; } // 외주거래처코드명
        public string PORD_NO { get; set; } // 발주번호(B)
        public string PORD_NM { get; set; } // 발주번호명
        public int PORD_SQ { get; set; } // 발주순번(B)
        public decimal PORD_QTY { get; set; } // 발주수량(B)
        public decimal SPRO_QTY { get; set; } // 생산수량(B)
        public decimal SGOD_QTY { get; set; } // 양품수량(B)
        public decimal SBAD_QTY { get; set; } // 불량수량(B)
        public decimal SCHA_QTY { get; set; } // 차이수량
        public decimal PINP_QTY { get; set; } // 발주입고수량(B)
        public decimal GINP_QTY { get; set; } // 기타입고수량(B)
        public decimal POUT_QTY { get; set; } // 생산출고수량(B)
        public decimal GOUT_QTY { get; set; } // 기타출고수량(B)
        public decimal JWRK_QTY { get; set; } // 재고수량(B)
        public decimal STD_TM_TOT { get; set; } // 표준작업시간(B)
        public string LPR_YN { get; set; } // 최종공정여부(B)
        public decimal BOXP_CNT { get; set; } // 박스당수량
    }
}
