﻿namespace FactPDA.Models
{
    /// <summary>
    /// 거래처검색
    /// </summary>
    public class MB090120 : BaseModel
    {
        // 추가영역
        public string FIND_VEND_NM { get; set; } // 검색어

        // 기본영역

        public string VEND_NO { get; set; } // 거래처번호
        public string VEND_CLS { get; set; } // 거래처구분
        public string VEND_CLS_NM { get; set; } // 거래처구분명
        public string VEND_NM { get; set; } // 거래처명칭
        public string VEND_SM { get; set; } // 거래처약칭
        public string BREG_RSNO { get; set; } // 사업자번호
        public string CORP_NO { get; set; } // 법인번호
        public string EXCUT_NM { get; set; } // 대표자성명
        public string BSLN { get; set; } // 업태
        public string BSCL { get; set; } // 업종(종목)
        public string POST_NO { get; set; } // 우편번호
        public string ADDR_MAIN { get; set; } // 기본주소
        public string ADDR_GITA { get; set; } // 기타주소
        public string TELNO { get; set; } // 전화번호
        public string FAXNO { get; set; } // 팩스번호
        public decimal INT_RATE { get; set; } // 기본수수료
        public string OLD_CD { get; set; } // 기존코드
        public string DUZ_CD { get; set; } // 더존코드
        public string VAT_EMAIL { get; set; } // 세금계산서이메일
        public string VAT_EMAILSUB { get; set; } // 세금계산서이메일1
        public string REMK { get; set; } // 비고
        public string REMK1 { get; set; } // 비고1
        public string REMK2 { get; set; } // 비고2
        public string REMK3 { get; set; } // 비고3
        public string REMK4 { get; set; } // 비고4
        public string PSAG_WACD { get; set; } // 사급창고코드
        public string PSAG_WACD_NM { get; set; } // 사급창고코드명
    }
}
