using Android.Content;
using System;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;
using FactPOP.Win.Utils;

[assembly: XamlCompilation (XamlCompilationOptions.Compile)]
namespace FactPDA
{
	public partial class App : Application
	{
        public static bool IsUserLoggedIn { get; set; }

        public App ()
		{
			InitializeComponent();
            MainPage = new NavigationPage(new Views.MB020110Page());
		}

        public App(Context context)
        {
            InitializeComponent();
            GlobalVar.context = context;
        }

        protected override void OnStart ()
		{
			// Handle when your app starts
		}

		protected override void OnSleep ()
		{
			// Handle when your app sleeps
		}

		protected override void OnResume ()
		{
			// Handle when your app resumes
		}
	}
}
