﻿namespace FactPDA.Models
{
    /// <summary>
    /// 입고처리
    /// </summary>
    public class MB090100 : BaseModel
    {
        public string EIOB_NO_SQ { get; set; } // 수불전표번호-순번

        public string EIOB_NO { get; set; } // 수불전표번호
        public int EIOB_SQ { get; set; } // 수불전표순번(B)
        public string EIOB_DT { get; set; } // 수불일자
        public string WACD { get; set; } // 창고코드 (조인금지) 
        public string EIOB_TYP { get; set; } // 전표종류
        public string EIOB_TYP_NM { get; set; } // 전표종류명
        public string EIOB_CLS { get; set; } // 수불구분
        public string EIOB_CLS_NM { get; set; } // 수불구분명
        public string EIOB_CAT { get; set; } // 전표유형
        public string EIOB_CAT_NM { get; set; } // 전표유형명
        public string EIOB_NM { get; set; } // 수불명칭
        public string EIOB_ORG_NO { get; set; } // 수불부서코드
        public string EIOB_ORG_NM { get; set; } // 수불부서코드명
        public string EIOB_EMP_NO { get; set; } // 수불담당자
        public string EIOB_EMP_NM { get; set; } // 수불담당자명
        public string EIOB_VEND_NO { get; set; } // 수불업체코드
        public string EIOB_VEND_NM { get; set; } // 수불업체코드명
        public string REMK { get; set; } // 비고
        public string WACD_NM { get; set; } // 창고코드명
        public string ITEM_CD { get; set; } // 제품코드(B)
        public string ITEM_NM { get; set; } // 제품코드명
        public string ITEM_SIZE { get; set; } // 규격
        public string SUB_SIZE { get; set; } // 하위규격
        public string TEAM_CLS { get; set; } // 관리팀
        public string TEAM_CLS_NM { get; set; } // 관리팀명
        public string ITEMM_CLS { get; set; } // 제품구분
        public string ITEMM_CLS_NM { get; set; } // 제품구분명
        public decimal PTY { get; set; } // 발주수량(B)
        public decimal QTY { get; set; } // 수불수량(B)
        public decimal UPR { get; set; } // 수불단가(B)
        public decimal AMT { get; set; } // 수불금액(B)
        public string RORD_NO { get; set; } // 이동전표번호 (조인금지) (B)
        public string EDIR_NO { get; set; } // 출고지시번호 (조인금지) (B)
        public int EDIR_SQ { get; set; } // 출고지시순번 (조인금지) (B)
        public string PDIR_NO { get; set; } // 생산지시번호 (조인금지) (B)
        public int PDIR_SQ { get; set; } // 생산지시순번 (조인금지) (B)
        public int PSQ { get; set; } // 생산실적순번 (조인금지) (B)
        public string PORD_NO { get; set; } // 발주전표번호 (조인금지) (B)
        public int PORD_SQ { get; set; } // 발주전표순번 (조인금지) (B)
        public string CEIOB_NO { get; set; } // 원인전표번호 (조인금지) (B)
        public int CEIOB_SQ { get; set; } // 원인전표순번 (조인금지) (B)
        public string PROJ_CD { get; set; } // 프로젝트코드(B)
        public string PROJ_NM { get; set; } // 프로젝트코드명
        public string INV_YN { get; set; } // (B)
        public string CLO_YN { get; set; } // 마감여부(B)
    }
}
