﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Data;
using System.IO;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Net.Sockets;
using System.Reflection;
using System.Runtime.Serialization.Formatters.Binary;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using System.Xml;
using System.Xml.Serialization;


namespace FactPDA
{
    public static class MobileUtil
    {
        // 금주의 시작일, 종료일자 전달
        public static List<DateTime> ThisWeek()
        {
            DateTime dtToday = DateTime.Now;

            System.Globalization.CultureInfo ciCurrent = System.Threading.Thread.CurrentThread.CurrentCulture;
            DayOfWeek dwFirst = ciCurrent.DateTimeFormat.FirstDayOfWeek;
            DayOfWeek dwToday = ciCurrent.Calendar.GetDayOfWeek(dtToday);

            int iDiff = dwToday - dwFirst;
            DateTime dtFirstDayOfThisWeek = dtToday.AddDays(-iDiff + 1);
            DateTime dtLastDayOfThisWeek = dtFirstDayOfThisWeek.AddDays(4);

            List<DateTime> WeekList = new List<DateTime>();
            WeekList.Add(dtFirstDayOfThisWeek);
            WeekList.Add(dtLastDayOfThisWeek);
            return WeekList;
        }

        public static void Playsound(string OkNg)
        {
            try
            {
                string fileName = "FactPDA.Resources." + OkNg.ToLower() + ".mp3";
                var player = Plugin.SimpleAudioPlayer.CrossSimpleAudioPlayer.Current;
                var assembly = typeof(App).GetTypeInfo().Assembly;
                Stream audioStream = assembly.GetManifestResourceStream(fileName);
                player.Load(audioStream);
                player.Play();
            }
            catch
            {
                throw;
            }
        }

    }
}